summaryrefslogtreecommitdiff
path: root/tests/elasticsearch-bulk-errorfile-empty.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/elasticsearch-bulk-errorfile-empty.sh')
-rwxr-xr-xtests/elasticsearch-bulk-errorfile-empty.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/elasticsearch-bulk-errorfile-empty.sh b/tests/elasticsearch-bulk-errorfile-empty.sh
new file mode 100755
index 0000000..a370e72
--- /dev/null
+++ b/tests/elasticsearch-bulk-errorfile-empty.sh
@@ -0,0 +1,17 @@
+# This file is part of the rsyslog project, released under ASL 2.0
+echo ===============================================================================
+echo \[elasticsearch-bulk-errorfile-empty\]: basic test for elasticsearch functionality
+source $srcdir/diag.sh init
+source $srcdir/diag.sh es-init
+source $srcdir/diag.sh startup elasticsearch-bulk-errorfile-empty.conf
+source $srcdir/diag.sh injectmsg 0 10000
+source $srcdir/diag.sh shutdown-when-empty
+source $srcdir/diag.sh wait-shutdown
+source $srcdir/diag.sh es-getdata 10000
+if [ -f rsyslog.errorfile ]
+then
+ echo "error: error file exists!"
+ exit 1
+fi
+source $srcdir/diag.sh seq-check 0 9999
+source $srcdir/diag.sh exit